Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023925
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfacemajorhave not tried2013-05-28 09:372013-06-20 02:07
ReporterjonalegriaesarteView Statuspublic 
Assigned Toshankarb 
PrioritynormalResolutionfixedFixed in Version3.0MP24
StatusclosedFix in branchFixed in SCM revision83b35f1de4c5
ProjectionnoneETAnoneTarget Version3.0MP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023925: Filter does not work properly when using ^

DescriptionUsing this guide http://wiki.openbravo.com/wiki/User_Interface_Introduction#Column_Filters, [^] trying to filter using ^, once the grid is filtered, if the user selects any field, the system loses the filter.
Steps To Reproduce- Accounting Transaction Detail window
- In Account field use the filter
^6 or ^7
- Click in the grid, the system loses the filter
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059066)
hgbot (developer)
2013-05-30 12:10

Repository: erp/devel/pi
Changeset: 9708bd1d96ebeb17ddf3df927fd3c2da55394e8e
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu May 30 15:37:49 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/9708bd1d96ebeb17ddf3df927fd3c2da55394e8e [^]

Fixes Issue 23925: Filter does not work properly when using ^

After forming criteria from current filter, the operator symbols were removed and only the value is retained.
Added the appropriate operator symbol, based on the operator.
Ignored contains case alone as normal values will be replaced with ~value.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
---
(0059075)
hgbot (developer)
2013-05-30 14:40

Repository: erp/devel/pi
Changeset: e6e46782e850bb850a9aebf675bb82996ad6267c
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu May 30 18:06:34 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/e6e46782e850bb850a9aebf675bb82996ad6267c [^]

Related to Issue 23925 : Jslint changes

added condition to ignore regex criteria while setting symbol and made modifications in code for jslint compliance

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
---
(0059079)
AugustoMauch (developer)
2013-05-30 17:53

The functionality works, but it needs to be improved in terms of performance:
- No need to retrieve the same least in each iteration
- Once the operator is found it makes no sense to keep iterating the list of operators a break statement should be used.
- It is not even needed to iterate en the list of operators. To search for the operator with operators[operator].ID === criteria[i].operator, instead of iterating on the list of operators you can just do operators[criteria[i].operator].
(0059106)
hudsonbot (developer)
2013-06-01 02:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/31f9b82dde77 [^]

Maturity status: Test
(0059110)
hudsonbot (developer)
2013-06-01 02:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/31f9b82dde77 [^]

Maturity status: Test
(0059118)
hgbot (developer)
2013-06-02 15:10

Repository: erp/devel/pi
Changeset: 83b35f1de4c58884a437b72dd03ead6024e11f66
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Sun Jun 02 18:37:50 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/83b35f1de4c58884a437b72dd03ead6024e11f66 [^]

Fixes Issue 0023925: Filter does not work properly when using ^

Applied code review changes to improves performance.
* Retrived list of operators once before looping instead of fetching it every time in the for loop.
* Instead of running a for loop on the list of operators, performed search based on the criteria operator.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
---
(0059121)
AugustoMauch (developer)
2013-06-03 09:51

Code reviewed and verified in pi@83b35f1de4c583b35f1de4c5
(0059534)
hudsonbot (developer)
2013-06-20 02:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5caf871044ad [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-05-28 09:37 jonalegriaesarte New Issue
2013-05-28 09:37 jonalegriaesarte Assigned To => AugustoMauch
2013-05-28 09:37 jonalegriaesarte Modules => Core
2013-05-28 09:37 jonalegriaesarte Triggers an Emergency Pack => No
2013-05-29 13:39 shankarb Assigned To AugustoMauch => shankarb
2013-05-30 11:55 shankarb Review Assigned To => AugustoMauch
2013-05-30 12:10 shankarb Issue Monitored: AugustoMauch
2013-05-30 12:10 hgbot Checkin
2013-05-30 12:10 hgbot Note Added: 0059066
2013-05-30 12:10 hgbot Status new => resolved
2013-05-30 12:10 hgbot Resolution open => fixed
2013-05-30 12:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9708bd1d96ebeb17ddf3df927fd3c2da55394e8e [^]
2013-05-30 14:40 hgbot Checkin
2013-05-30 14:40 hgbot Note Added: 0059075
2013-05-30 17:53 AugustoMauch Note Added: 0059079
2013-05-30 17:53 AugustoMauch Status resolved => new
2013-05-30 17:53 AugustoMauch Resolution fixed => open
2013-06-01 02:15 hudsonbot Checkin
2013-06-01 02:15 hudsonbot Note Added: 0059106
2013-06-01 02:15 hudsonbot Checkin
2013-06-01 02:15 hudsonbot Note Added: 0059110
2013-06-02 15:10 hgbot Checkin
2013-06-02 15:10 hgbot Note Added: 0059118
2013-06-02 15:10 hgbot Status new => resolved
2013-06-02 15:10 hgbot Resolution open => fixed
2013-06-02 15:10 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/9708bd1d96ebeb17ddf3df927fd3c2da55394e8e [^] => http://code.openbravo.com/erp/devel/pi/rev/83b35f1de4c58884a437b72dd03ead6024e11f66 [^]
2013-06-03 09:51 AugustoMauch Note Added: 0059121
2013-06-03 09:51 AugustoMauch Status resolved => closed
2013-06-03 09:51 AugustoMauch Fixed in Version => 3.0MP24
2013-06-20 02:07 hudsonbot Checkin
2013-06-20 02:07 hudsonbot Note Added: 0059534


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker